
Foreman - Bug #9696

LDAP auth source base DN and password missing from API responses

03/10/2015 10:30 AM - Kendall Moore

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

auth_source_ldaps does not return the values groups_base or account_password via a GET request.

Related issues:

Is duplicate of Foreman - Bug #14286: GET/POST/PUT /api/v2/auth_source_ldaps/... Closed 03/20/2016

History

#1 - 03/10/2015 10:37 AM - Dominic Cleal

- Subject changed from REST API Not Returning Values to LDAP auth source base DN and password missing from API responses

- Category set to API

#2 - 03/21/2016 09:38 AM - Dominic Cleal

- Is duplicate of Bug #14286: GET/POST/PUT /api/v2/auth_source_ldaps/ do not return 'groups_base' attribute added

#3 - 03/21/2016 09:39 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, this has now been fixed under ticket #14286.  I don't think we would put the account password into the API response so it's

write-only.
